AutoCAD Architecture 2009 Object Enabler Readme

The AutoCAD Architecture 2009 Object Enabler makes AEC objects come to life in 2009 releases of AutoCAD, AutoCAD LT, AutoCAD Electrical, AutoCAD Mechanical, AutoCAD Map 3D, Civil 3D, Land Desktop, and Mechanical Desktop. For earlier versions of these products and VIZ, please refer to www.autodesk.com\enablers for the correct version to download. This new release leverages ObjectDBX technology allowing object data created in AutoCAD Architecture 2009 and earlier releases to be accessed outside the AutoCAD Architecture environment.

Experience Autodesk AutoCAD Architecture 2009 functionality and flexibility including:
Receive DWG files created in Architectural Desktop R1, R2, R2 DACH, R2i, 3, 3.3, 2004, 2005, 2006, 2007, as well as AutoCAD Architecture 2008 and 2009.
View and modify AEC objects using AutoCAD commands such as MOVE, COPY, STRETCH.
Improved object snap support.
Elimination of proxy graphics messages.
Supplement an office that has a mix of AutoCAD Architecture and other AutoCAD-based seats, allowing improved interoperability between users.

In AutoCAD Map 3D 2009, access and query data from different drawings created in AutoCAD Architecture.

AutoCAD Architecture Object Enablers are freeware applications distributed to Autodesk customers at no charge for the purpose of fully accessing AutoCAD Architecture drawing files. Without this object enabler installed, you can share drawings using proxy graphics representations or the Export to AutoCAD command.

What do you want to do?
Access and install the AutoCAD Architecture Object Enabler
Share drawings using the AutoCAD Architecture Object Enabler
Additional commands supplied with the AutoCAD Architecture Object Enabler
Overview of proxy graphics
Questions and answers


Access and install the AutoCAD Architecture Object Enabler

Access and install the AutoCAD Architecture Object Enabler

The AutoCAD Architecture 2009 Object Enabler is installed as part of the normal installation of all AutoCAD 2009-based products, including AutoCAD, AutoCAD LT, AutoCAD Electrical, AutoCAD Mechanical, AutoCAD Map 3D, Civil 3D, Land Desktop, and Mechanical Desktop.

Previous versions of the AutoCAD Architecture and Architectural Desktop Object Enabler as well as object enablers for Civil, Land, and Mechanical products can be downloaded from the Autodesk website at www.autodesk.com\enablers.

A silent installation of the AutoCAD Architecture 2009 Object Enabler can be configured using the /q quiet switch. The following is an example of the context used for a quiet installation:

\\ServerName\ACD-A_ObjectEnabler\AutoCAD Architecture 2009 OE.exe /q


Sharing drawings using the AutoCAD Architecture Object Enabler

Sharing drawings using the AutoCAD Architecture Object Enabler

The AutoCAD Architecture Object Enabler provides an advanced level of compatibility for users of AutoCAD 2009-based applications to share files with AEC objects. The object enabler "wakes up" the AEC objects enabling full use of the AutoCAD environment with support for AutoCAD Architecture’s multiple display representations. With the AutoCAD Architecture Object Enabler installed you can load any file created with AutoCAD Architecture into many AutoCAD-based applications and see exactly the same object display as in AutoCAD Architecture.

Use of the AutoCAD Architecture Object Enabler can reduce or eliminate the need to store proxy graphics. File sizes are smaller, and drawing compatibility is improved. For example, an AutoCAD 2009 user can load an AutoCAD Architecture drawing and experience exactly the same behavior of objects using object snaps or many of the standard AutoCAD commands such as MOVE, COPY or ROTATE. Installing the AutoCAD Architecture Object Enabler will not significantly impact the performance of the host program. The AutoCAD Architecture Object Enabler requires less than 40 MB of additional system memory. Installed files will take storage space on your hard drive, and will only be accessed when drawings containing AEC objects are opened.


Additional commands supplied with the AutoCAD Architecture Object Enabler

Additional commands supplied with the AutoCAD Architecture Object Enabler

  • DisplayManagerConfigsSelection allows you to specify the display configuration that will be used in the drawing. Depending on the settings used in attached drawings, this may or may not affect the display of the xref drawing. On the Model tab, or with a ModelSpace viewport active on a Layout tab, selecting this toolbar button will display a list of available display configurations, with the current one indicated by a checkmark. Selecting a different configuration will cause a full regen of the drawing, so there may be some delay. For example, if a DWG file is saved in AutoCAD Architecture with only a reflected ceiling and render display configurations, those are the only ones supported by the AutoCAD Architecture Object Enabler. Users planning on sharing their files must enable layouts and viewport configurations to meet the needs of their partners.

    · -AecExportToAutoCAD allows you to convert an AutoCAD Architecture drawing to AutoCAD entities. The command gives you the ability to bind xrefs and save the file in 2000, 2004, or 2007 drawing format. The result will be exported to a new DWG file with all AEC objects exploded. The new version of the drawing loses the intelligence of the custom AEC objects, but the resulting basic objects can be displayed and accessed in earlier versions of AutoCAD when object enablers are not available for those versions. Any subsequent changes you make to this new drawing file do not affect the original drawing file.

    Command line entry: -aecexporttoautocad

    Export options [Format/Bind/bind Type/Maintain/Prefix/Suffix/?] <Enter for filename>: Enter an option or press ENTER to specify a file name

    Enter for Filename - Creates a new drawing file with the specified name. You can use the Prefix or Suffix option to create a unique file name for this drawing and prevent overwriting the existing drawing file.

    Export drawing name <current>: Enter a file name

    Format - Determines the drawing file format for the resulting drawing file.

    Enter file format [r14/2000/2004/2007] <2007>: Specify the drawing file format

    Bind - Determines how xrefs are treated when creating the new drawing.

    Bind xrefs [Yes/No] <Yes>: Enter y or n

    Yes - Binds all xrefs to the drawing. Layers and other xref-dependent named objects are merged into the new drawing.

    No - Maintains the xrefs as links to other drawings.

    Note: The appearance of the combined drawing may differ if the xrefs are not bound.

    Bind Type - Determines how xref-dependent objects are treated when the Bind option is turned on.

    Bind type [Bind/Insert] <Insert>: Enter an option

    Bind - Maintains the names of layers and other xref-dependent objects when binding xrefs.

    Insert - Merges the names of xref-dependent objects into the new drawing without including the original file name.

    Maintain - Determines how objects within custom AEC objects are treated.

    Maintain resolved properties [Yes/No] <Yes>: Enter y or n

    Yes - Explodes all custom AEC objects into separate basic AutoCAD objects. The resulting basic objects revert to their original properties rather than the properties of the block definitions. For example, if a component of a custom object has the color specified ByBlock, and the object has the color specified ByLayer and resides on a layer with the color 50, the resulting AutoCAD object will have color = 50.
    No - Creates a block from each custom AEC object. The properties of the block instances are determined in the usual way, depending on how the objects in the blocks were created and the property settings of the layers on which the blocks are inserted.

    Prefix - Specifies the prefix to be added to the current drawing file name.

    Filename prefix <>: Enter the characters to be added to the beginning of the current file name

    Suffix - Specifies the suffix to be added to the current drawing file name.

    Filename suffix <>: Enter the characters to be added to the end of the current file name

    ? - Lists the current settings for the command.

    File format: current setting

    Bind xrefs: current setting

    Bind type: current setting

    Filename prefix: current setting

    Filename suffix: current setting

    · SetXrefConfig allows you to specify the display configuration that will be used in an xref drawing.

    · AecFileOpenMessage allows you to disable or enable the dialog that appears when drawings from previous versions of AutoCAD Architecture or Architectural Desktop are opened.

    · AecFileSaveMessage allows you to disable or enable the dialog that appears when drawings are saved to a previous drawing format.

    · AecObjectCopyMessage allows you to disable or enable the dialog that may appear when copying AEC objects from future version drawings.

    · ObjRelUpdate causes AEC objects to be completely reconstructed, which may be necessary to resolve display issues.

    · AecVersion displays the file version of files that comprise the AutoCAD Architecture Object Enabler.

    · -DwgUnits allows you to specify the drawing units that will be used with the current file. This affects how drawings are combined when inserting drawings that use different units. For example, to combine a Land Desktop drawing that uses feet with an AutoCAD Architecture drawing using inches, you would first change the units in the AutoCAD Architecture drawing to feet, and then insert it into the Land Desktop drawing.

    Note: These commands are not available in AutoCAD LT.

    An AecArchXOE.cui file will be copied to C:\Documents and Settings\{username}\Application Data\Autodesk\{host application}\enu\Support for any user who runs the host application after the AutoCAD Architecture Object Enabler is installed. This file contains a toolbar (AEC OE) with three buttons, which run the following commands: DisplayManagerConfigsSelection, -AecExportToAutoCAD and SetXrefConfig. To add this toolbar to your workspace, use the command MENULOAD, browse to the location referenced above, select the file, and then click Load and Close.


Overview of Proxy Graphics

Overview of proxy graphics

AutoCAD Architecture uses object technology to represent walls, doors, windows, stairs, roofs, and other architectural components. These objects are stored in your drawing (DWG) files and to access them, you must run AutoCAD Architecture or an equivalent ObjectARX application capable of reading AEC objects.

Proxy graphics provide an alternative means to display objects using simple graphical representations. Objects represented as proxy graphics lack the full "intelligence" of true objects. You cannot copy a proxy object, nor can you reposition a door within a wall when these objects are represented by proxy graphics. AutoCAD uses this mechanism for DWG file compatibility with other applications which share DWG files, such as VIZ or Autodesk View.

Note: If you are sharing files with AutoCAD users, a better alternative to proxy graphics is to have the AutoCAD users install the appropriate object enabler.

To share AutoCAD Architecture drawings using proxy graphics successfully, it is important to understand the multiple display representations of AEC objects and how they are stored as proxy graphics. Each object can store a single proxy representation. Therefore it is important to configure your work session to be sure the file you are saving displays correctly in the shared application. For example, a door can be displayed using a model, plan, or reflected ceiling representation and proxy graphics for a door can only be saved as one of several display representations.

What do you want to do?

  • Save drawings with proxy graphics
  • Configure AutoCAD to display proxy graphics
  • AutoCAD Architecture Performance Tips


Save your drawing with proxy graphics

Save drawings with proxy graphics

  1. At the command line, type PROXYGRAPHICS and press ENTER.
  2. Type 1 and press ENTER to set the variable to true. This is a drawing-based setting, so it needs to be done one time in each drawing.
  3. At the command line, type ISAVEPERCENT and press ENTER.
  4. Type 0 and press ENTER to set the value to zero percent. This is a registry-based setting, so it only needs to be set once.
  5. Save your drawing with the active viewport set to display the graphics to be saved as proxy graphics.

Note: ISAVEPERCENT must be set to zero to enable consistent control of the graphical representations being saved with proxy graphics. Failure to set this value to zero can result in mixed graphical representations saved as proxy graphics. See also AutoCAD Architecture Performance Tips.


Configure AutoCAD to display proxy graphics

Configure AutoCAD to display proxy graphics

  1. At the command line, type OPTIONS and press ENTER.
  2. Click the Open and Save tab.
  3. In the Proxy images for custom objects dropdown, select Show proxy graphics.
  4. Click OK.


AutoCAD Architecture Performance Tips

AutoCAD Architecture Performance Tips

AutoCAD Architecture leverages ObjectARX object technology and how to optimize your system depends on how you use AEC objects. If you are working exclusively with AutoCAD Architecture or a combination of AutoCAD Architecture and adjacent seats of AutoCAD 2009 equipped with the AutoCAD Architecture 2009 Object Enabler, you can significantly decrease file size and improve file performance by eliminating the storage of proxy graphics.

AEC objects are relatively complex compared with traditional AutoCAD objects such as lines, arcs, and text. For example, a stair object can have hundreds of graphical primitives used in its display. Consequently object snap settings need to be set in a manner that is consistent with your performance requirements. Turning on numerous running object snap options can significantly hinder object snap performance when moving the cursor in the vicinity of stairs. This can be managed by setting and changing the AutoCAD object snap options.

What do you want to do?

  • Configure AutoCAD Architecture to disable proxy graphics during file save
  • Install the AutoCAD Architecture Object Enabler on adjacent AutoCAD seats


Questions and Answers

Questions and Answers

What is the AutoCAD Architecture 2009 Object Enabler?

The AutoCAD Architecture 2009 Object Enabler is a utility that provides new functionality and design flexibility through the power of AEC objects to customers using the 2009 releases of AutoCAD, AutoCAD LT, AutoCAD Electrical, AutoCAD Mechanical, AutoCAD Map 3D, Civil 3D, Land Desktop, and Mechanical Desktop. With the AutoCAD Architecture 2009 Object Enabler, users working with these products can enjoy full compatibility with AEC objects from 2009 and earlier releases.

Objects retain their intelligence and provide AutoCAD functionality that is nearly identical to AutoCAD Architecture. For example, within AutoCAD 2009, AutoCAD commands, including OSNAP, MOVE, COPY, TRIM, EXTEND, and EXPLODE, are fully supported with AEC objects. In addition, objects provide full display characteristics including support for multiple views.

What AutoCAD commands are available with AutoCAD Architecture Object Enabler?

When the AutoCAD Architecture Object Enabler is installed, objects respond to AutoCAD software commands the same way they do in AutoCAD Architecture. The majority of AutoCAD Architecture commands, however, are not available, including commands to edit object-specific properties and object styles. These are some of the AutoCAD commands you will be able to use specifically on AEC objects:

· MOVE: Objects are movable from on location to another. Automatic cleanup occurs with walls.

· COPY: Allows creation of additional objects from within AutoCAD based on current objects in the drawing.

· ROTATE: Automatic cleanup where relevant.

· ERASE: Objects delete intelligently; for example, deleting a door automatically heals the wall.

· TRIM and EXTEND: Trim and extend objects with automatic cleanup.

· ARRAY: Allows multiple copies of objects with automatic cleanup where relevant.

· EXPLODE: Allows AEC objects to be exploded leading to the creation of blocks.

· OSNAP: Logical and graphic node points enabled with the object's graphical display.

· Multiple Viewport Display: Allows viewport and display configuration to be viewed, limited to the viewport configuration saved with the original AutoCAD Architecture drawing.

Most AutoCAD commands are supported in the same manner as AutoCAD Architecture.

What specific benefits does the AutoCAD Architecture Object Enabler provide to users of AutoCAD-based applications?

By allowing correct viewing and manipulation of AEC objects in AutoCAD-based applications, you can:

· Collaborate with colleagues using AutoCAD Architecture

· Efficiently implement a mix of AutoCAD Architecture and other AutoCAD-based applications, minimizing upgrade transition difficulty and increasing productivity

· Experience the power of intelligent AEC objects while editing and revising AutoCAD Architecture drawings and models

· Preview the power of AutoCAD Architecture without purchasing the product by downloading sample exercises and following suggested steps to highlight the benefits of AEC objects

How is the AutoCAD Architecture Object Enabler different from proxy graphics?

The AutoCAD Architecture Object Enabler does not replace the proxy graphics mechanism of interoperability. Proxy graphics remains a valuable "common denominator" of interoperability across the Autodesk product line but the AutoCAD Architecture Object Enabler provides a more robust level of compatibility for AutoCAD users, allowing them to benefit from the power of AEC objects. When the AutoCAD Architecture Object Enabler is installed on AutoCAD, there is no proxy message displayed when opening a file that contains AEC objects.

What additional functionality do I get with AutoCAD Architecture?

AutoCAD Architecture was designed for the architectural design process, and provides a full suite of architectural tools. AutoCAD Architecture includes conceptual modeling and planning, creation and editing of objects using right-click menus and a variety of predefined styles, and development of construction documentation using display management and layering designed for architects. For more information and details visit www.autodesk.com\archdesktop.

How do I use the AutoCAD Architecture Object Enabler?

Once installed, AutoCAD Architecture Object Enabler works automatically with your existing AutoCAD configuration. If you open a DWG file containing AEC objects, they are "live" and you are able to edit them directly using AutoCAD commands. The power of the AutoCAD Architecture Object Enabler is the ability to use existing and familiar AutoCAD commands on AEC objects without the need to learn new functionality.

Can I create intelligent objects using the AutoCAD Architecture Object Enabler on AutoCAD?

There are no commands to create new AEC objects using AutoCAD and the AutoCAD Architecture Object Enabler. Copying existing AEC objects, however, is supported, and the copied AEC objects retain their intelligence. For example, a door copied from one wall to another wall automatically cuts the wall and anchors appropriately. In order to have commands to create new AEC objects and change object styles, you need the full version of AutoCAD Architecture.

What are Display Configurations and how do they work with the AutoCAD Architecture Object Enabler?

AEC objects provide different graphic display depending on viewing direction and AutoCAD viewport settings. This allows architects and designers to configure different viewports to display objects appropriately for different uses, such as for floor plans, reflected ceiling plans, or isometric or perspective views of a 3D model. The different display configurations available in AutoCAD Architecture are fully supported in the AutoCAD Architecture Object Enabler, allowing AEC objects to respond to changes in viewing direction and respect the Display Configurations assigned to viewports in AutoCAD Architecture. Users of AutoCAD-based applications with the AutoCAD Architecture Object Enabler will be able to select Display Configurations that have previously been established in AutoCAD Architecture. However, users will not be able to modify those display configurations. See an example of several display configurations here.

Once I download and install the AutoCAD Architecture Object Enabler, does it automatically initialize every time I launch the host application, or does it demand load?

The AutoCAD Architecture Object Enabler is a demand-loading program which only initializes when needed in AutoCAD-based applications. In other words, the AutoCAD Architecture Object Enabler is not loaded in an AutoCAD session until a drawing containing AEC objects is opened. You can prevent the AutoCAD Architecture Object Enabler from loading even if an AutoCAD Architecture drawing is opened.

To disable demand loading of the Object Enabler

1. At the command line, type OPTIONS and press ENTER.

2. Click the Open and Save tab.

3. In the Demand load ObjectARX apps drop-down list, select Command invoke. This setting allows other ARX applications, such as ISM, to be loaded when an image command is used.

4. Click OK.

How much does the AutoCAD Architecture Object Enabler cost?

The AutoCAD Architecture Object Enabler is available at no charge to use and distribute. There is no payment required before or after installation. By downloading the AutoCAD Architecture Object Enabler from the Autodesk website, you agree to the terms and conditions of its usage.

Is AutoCAD Architecture Object Enabler free to distribute?

Yes; however, by downloading it from the Autodesk website you agree to the terms and conditions of its usage.

What limitations are there with AutoCAD Architecture Object Enabler?

· No AEC commands for object editing – AEC objects may only be edited using standard AutoCAD commands such as MOVE, COPY, and ROTATE. AEC objects viewed in AutoCAD cannot have their style or properties edited.

· Right-click context-sensitive edit options are disabled - AutoCAD Architecture allows right-clicking and editing of all objects. This is not available to users of AutoCAD-based applications with the AutoCAD Architecture Object Enabler.

· Preset display configurations - The multiple display capabilities of AEC objects are fully enabled, meaning anything that has been set up and saved in the AutoCAD Architecture session is preserved, but it is not possible to modify existing configuration.

· Stretch command - This command will not affect most AEC objects due to the special grip behavior that is implemented in AutoCAD Architecture.

Does AutoCAD Architecture Object Enabler include support for Land Desktop or Civil 3D objects?

No. There are Land Desktop and Civil 3D specific object enablers that you can download from www.autodesk.com\enablers.

Does AutoCAD Architecture Object Enabler include support for Mechanical Desktop objects?

The AutoCAD Architecture Object Enabler only supports objects from AutoCAD Architecture.

Does AutoCAD Architecture Object Enabler include ObjectARX objects from third-party developers?

No. The AutoCAD Architecture Object Enabler only supports objects from AutoCAD Architecture. Many Autodesk partners support the AutoCAD proxy graphic mechanism or provide viewers for their objects at no charge. Contact the independent application developer for more information.


Disable save of proxy graphics

Disable proxy graphics during file save

  1. At the command line, type PROXYGRAPHICS and press ENTER.
  2. Type 0 and press ENTER to set the variable to false.
  3. At the command line, type ISAVEPERCENT and press ENTER.
  4. Type 50 and press ENTER to set the variable to fifty percent, which is the default AutoCAD value.

Note: ISAVEPERCENT must be set to zero if proxy graphics are enabled. If proxy graphics are disabled, ISAVEPERCENT can be set to any value from 0 to 100.


Configure AutoCAD to display proxy graphics

Several Display Representations of a wall and door